import request from "@/utils/request";

// 停电预算下载模板
export function downloadTemplate() {
  return request({
    url: "/power/stopTarge/downloadTemplate",
    method: "post",
    responseType: "blob",
  });
}
// 导入
export function importF(data) {
  return request({
    url: "/power/stopTarge/import",
    method: "post",
    data: data,
    headers: {
      "content-type": "multipart/form-data",
    },
  });
}
// 列表
export function list(params) {
  return request({
    url: "/power/stopTarge/list",
    method: "get",
    params,
  });
}

// 停电记录列表
export function stopRecordlist(params) {
  return request({
    url: "/power/stopRecords/list",
    method: "get",
    params,
  });
}
// 更新停电记录
export function stopRecordUpdate(data) {
  return request({
    url: "/power/stopRecords/update",
    method: "post",
    data: data,
  });
}

// 完成情况列表
export function stopActualList(params) {
  return request({
    url: "/power/stopActual/list",
    method: "get",
    params,
  });
}
